import { aws_ec2 as ec2, aws_route53 as route53 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface TmSorlEc2Props extends ec2.InstanceProps {
    readonly ssmPathPrefix?: string;
    readonly buildContextPath: string;
    readonly buildDockerfile: string;
    readonly buildContainerArgs?: {
        [key: string]: string;
    };
    readonly solrOpts?: string;
    readonly solrJavaMem?: string;
    readonly allowFrom?: ec2.ISecurityGroup;
    readonly ebsVolumeSize?: number;
    readonly hostedZone?: route53.IHostedZone;
    readonly recordName?: string;
}
export declare class TmSolrEc2 extends ec2.Instance {
    constructor(scope: Construct, id: string, props: TmSorlEc2Props);
}
